<div fxLayout='column' fxLayoutGap='40px'>
  <div class='heading version'>
    <h1><a routerLink='/docs'>Docs</a> / Ignition <span *ngIf='version !== "all"'>{{version | titlecase}}</span></h1>
  </div>
  <div fxLayout.md="row" fxLayout.lt-md="column" fxLayoutAlign='start' fxLayoutGap="10px" fxFill>
    <mat-nav-list *ngIf='docsInfo.pages !== undefined && docsInfo.pages[version] !== undefined'
      class='border-list version'>
      <div *ngFor='let p of docsInfo.pages[version]'>
        <a mat-list-item
          [routerLink]="['/docs/', version, p.name]"
          routerLinkActive='active'>{{p.title | titlecase}}</a>
        <a mat-list-item class='child' *ngFor='let c of p.children'
          [routerLink]="['/docs/', version, c.name]"
          routerLinkActive='active'>{{c.title | titlecase}}</a>
      </div>
    </mat-nav-list>

    <div style="padding: 0px 20px;" fxHide.gt-sm="true">
      <a mat-raised-button color='primary' title='Edit on GitHub'
        href='https://github.com/ignitionrobotics/docs/blob/master/{{editLink}}'>
        Edit on GitHub
      </a>
    </div>

    <div markdown [data]="docContent" class="markdown-content"></div>

    <div style="padding-right: 40px;" fxHide.lt-md="true">
      <a mat-icon-button title='Edit on GitHub'
        href='https://github.com/ignitionrobotics/docs/blob/master/{{editLink}}'>
        <mat-icon>create</mat-icon>
      </a>
    </div>
  </div>
</div>
